Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

  1. Scala currently does not support backwards binary compatibility across release numbers. This has led to some issues with scala libraries either requiring users to always stay "current" or put tools on top of maven to release multiple "versions" each of which is compatible with a single Scala version.  Currently the approach is to include the Scala version first in the project's version, e.g. "2.7.3-1.0-SNAPSHOT" would mean your lirbary is at version 1.0-SNAPSHOT using scala 2.7.3.   It would be ideal if either scala become more backwards compatible or there were some way to manage this sanely inside maven.
  2. The maven-eclipse-plugin is unaware of either the pom configuration (source directories mostly) from the maven-scala-plugin, nor the eclipse metadata needed for the Scala Development Tools.  It would be ideal if there was some integration point we could work towards to ensure compliance and reduce surprise for users.

Maven And Scala Community

...